Package: groovy.org.codenarc.rule

## [Groovy] Class NullReturnTracker

- groovy.org.codenarc.rule.NullReturnTracker

- Helper AST visitor that adds rule violation if a return statement is encountered that returns a null constant.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `def` | `errorMessage`
    `def` | `parent`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visitClosureExpression(org.codehaus.groovy.ast.expr.ClosureExpression expression)`
    `` | `void` | `visitReturnStatement(org.codehaus.groovy.ast.stmt.ReturnStatement statement)`

- - ### Property Detail

    - #### def errorMessage

    - #### def parent

  - ### Method Detail

    - #### void visitClosureExpression(org.codehaus.groovy.ast.expr.ClosureExpression expression)

    - #### void visitReturnStatement(org.codehaus.groovy.ast.stmt.ReturnStatement statement)